<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>搜索结果_<%=TD_home%></title>
<meta name="keywords" content="<%=TD_keywords%>" />
<meta name="description" content="<%=TD_description%>" />
</head>
<!--#include file="css_js.html" --><body>
<!--#include file="top.html" -->
<div id="container">
<div id="content">
<br><br>
<br>
    <div class="rigth_cont_center">
    	<div class="ri_title">
        	<p>您当前的位置: <%=TD_home%> > <a href="<%=TD_url%>">首页</a> > <span class="last_co"><a href="/so/">搜索结果</a></span> </p>
        </div>
		<div class="shop_list00">
        	<div class="list_topbottom1">
            </div>

        	<div class="list_topbottom2">
            </div>      
       <%	
t=request.QueryString("t") 
key=request.QueryString("key") 
if t="" then
Response.Write("<script>alert('请选择要搜索的栏目!');history.back();</script>")
Response.End()
end if
if key="" then
Response.Write("<script>alert('请输入关键词!');history.back();</script>")
Response.End()
end if
set rs=server.createobject("adodb.recordset") 
if t=1 then
exec="select * from [news] where title like '%"&key&"%'  order by id desc  " 
elseif t=2 then
exec="select * from [Products] where title like '%"&key&"%'  order by id desc  " 
else
exec="select * from [download] where title like '%"&key&"%'  order by id desc  " 
end if
rs.open exec,conn,1,1 
if rs.eof then
response.Write "&nbsp;没有搜索到相关内容！"
else
rs.PageSize =10 '每页记录条数
iCount=rs.RecordCount '记录总数
iPageSize=rs.PageSize
maxpage=rs.PageCount 
page=request("page")
if Not IsNumeric(page) or page="" then
page=1
else
page=cint(page)
end if
if page<1 then
page=1
elseif  page>maxpage then
page=maxpage
end if
rs.AbsolutePage=Page
if page=maxpage then
x=iCount-(maxpage-1)*iPageSize
else
x=iPageSize
end if	
For i=1 To x
dim img
if IsNull(rs("img")) or trim(rs("img")&"")="" then
img="/images/pic.GIF"
else
img=""&rs("img")&""
end if
%>
<%if t=1 then%>
<li class="comment_odd">
            <div class="author"><img class="avatar" src="<%=img%>" width="80" height="80" alt="<%=rs("title")%>" /><span class="name"><a href="/ShowNews/?<%=rs("id")%>-1.html"   title="<%=rs("title")%>"><%=InterceptString(rs("title"),50)%></a></span></div>
            <div class="submitdate">浏览：<%=rs("hit")%><font color="#0075a9"> 发布时间：<%=rs("data")%></div>
            <p><%=i5808(rs("body"),150)%></p>
          </li>
   
<%elseif t=2 then%>
<table width="700" border="0" cellspacing="2" cellpadding="0">
  <tr>
    <td width="155" rowspan="2"><a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>"><img src="<%=rs("img")%>" alt="<%=rs("title")%>" height="112" width="151" /></a></td>
    <td width="545" height="30"><ul>
      <li class="div_color">名称: <%=i5808(rs("title"),10)%></li>
    </ul></td>
  </tr>
  <tr>
    <td valign="top"><%=i5808(rs("body"),290)%> </td>
  </tr>
</table>

<%else%>
   <li class="comment_odd">
            <div class="author"><span class="name"><a href="/ShowDownload/?<%=rs("id")%>-1.html"   title="<%=rs("title")%>"><%=InterceptString(rs("title"),50)%></a></span></div>
            <div class="submitdate"><font color="#0075a9"> 发布时间：<%=rs("data")%></div>
            <p><%=i5808(rs("body"),150)%></p>
          </li>
          
<%end if%>
<%rs.movenext
next
end if
%>      

            <div class="pageall">
            <%'以下显示分页
 call PageControl(iCount,maxpage,page,"border=0 align=center","<p align=center>")
rs.close
set rs=nothing
%>
            </div>

			

		    

		</div>
    </div>  
	</div>
    </div>  
   <!--#include file="foot.html" -->
</body>
</html>
